%define src_ver 1.6
%define languagelocal espa~nol
%define languageeng spanish
%define languagecode es

Summary: 	Spanish files for ispell
Summary(es): Diccionario espaol para ispell
Name: 		ispell-%{languagecode} 
Version: 	1.6
Release: 	6mdk
URL: 		http://www.datsi.fi.upm.es/~coes/
Source:		ftp://ftp.fi.upm.es/pub/unix/espa~nol-%{src_ver}.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

Obsoletes: ispel-es
Obsoletes: ispell-castellano
Obsoletes: ispell-spanish
Obsoletes: ispanish

%description
ispell-es has the spelling data for Spanish which is used by
the ispell program. With this extension, you can compose a document
in Spanish and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l es
ispell-es contiene los archivos necesarios para poder comprobar la
ortografa de textos en castellano.

Ispell es un programa corrector de ortografa que puede ser usado
directamente desde la lnea de comando o a partir de programas tales
como LyX, etc.

%prep
%setup -n espa~nol-%{src_ver}
mv -f espa~nol.words+ %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc LEAME README*
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.6-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.6-5mdk
- Cleaned up the spec and moved to standard template.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.6-4mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- changed name to ispell-es to standardize naming

* Wed Nov 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Mecachis! a small typo made the data files to don't be on the rpm :-(
  fixed now.

* Mon Oct 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

